# Uses of Interface
java.sql.SQLXML

Packages that use SQLXML
Package
Description
java.sql
Provides the API for accessing and processing data stored in a data source (usually a relational database) using the Java programming language.
javax.sql
Provides the API for server side data source access and processing from the Java programming language.
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.serial
Provides utility classes to allow serializable mappings between SQL types and data types in the Java programming language.

## Uses of SQLXML in java.sql

Methods in java.sql that return SQLXML
Modifier and Type
Method
Description
`SQLXML`
Connection.`createSQLXML()`
Constructs an object that implements the `SQLXML` interface.
`SQLXML`
CallableStatement.`getSQLXML(int parameterIndex)`
Retrieves the value of the designated `SQL XML` parameter as a `java.sql.SQLXML` object in the Java programming language.
`SQLXML`
CallableStatement.`getSQLXML(String parameterName)`
Retrieves the value of the designated `SQL XML` parameter as a `java.sql.SQLXML` object in the Java programming language.
`SQLXML`
ResultSet.`getSQLXML(int columnIndex)`
Retrieves the value of the designated column in the current row of this `ResultSet` as a `java.sql.SQLXML` object in the Java programming language.
`SQLXML`
ResultSet.`getSQLXML(String columnLabel)`
Retrieves the value of the designated column in the current row of this `ResultSet` as a `java.sql.SQLXML` object in the Java programming language.
`SQLXML`
SQLInput.`readSQLXML()`
Reads an SQL `XML` value from the stream and returns it as a `SQLXML` object in the Java programming language.
Methods in java.sql with parameters of type SQLXML
Modifier and Type
Method
Description
`void`
CallableStatement.`setSQLXML(String parameterName, SQLXML xmlObject)`
Sets the designated parameter to the given `java.sql.SQLXML` object.
`void`
PreparedStatement.`setSQLXML(int parameterIndex, SQLXML xmlObject)`
Sets the designated parameter to the given `java.sql.SQLXML` object.
`void`
ResultSet.`updateSQLXML(int columnIndex, SQLXML xmlObject)`
Updates the designated column with a `java.sql.SQLXML` value.
`void`
ResultSet.`updateSQLXML(String columnLabel, SQLXML xmlObject)`
Updates the designated column with a `java.sql.SQLXML` value.
`void`
SQLOutput.`writeSQLXML(SQLXML x)`
Writes an SQL `XML` value to the stream.

## Uses of SQLXML in javax.sql

Methods in javax.sql with parameters of type SQLXML
Modifier and Type
Method
Description
`void`
RowSet.`setSQLXML(int parameterIndex, SQLXML xmlObject)`
Sets the designated parameter to the given `java.sql.SQLXML` object.
`void`
RowSet.`setSQLXML(String parameterName, SQLXML xmlObject)`
Sets the designated parameter to the given `java.sql.SQLXML` object.

## Uses of SQLXML in javax.sql.rowset

Methods in javax.sql.rowset with parameters of type SQLXML
Modifier and Type
Method
Description
`void`
BaseRowSet.`setSQLXML(int parameterIndex, SQLXML xmlObject)`
Sets the designated parameter to the given `java.sql.SQLXML` object.
`void`
BaseRowSet.`setSQLXML(String parameterName, SQLXML xmlObject)`
Sets the designated parameter to the given `java.sql.SQLXML` object.

## Uses of SQLXML in javax.sql.rowset.serial

Methods in javax.sql.rowset.serial that return SQLXML
Modifier and Type
Method
Description
`SQLXML`
SQLInputImpl.`readSQLXML()`
Reads an SQL `XML` value from the stream and returns it as a `SQLXML` object in the Java programming language.
Methods in javax.sql.rowset.serial with parameters of type SQLXML
Modifier and Type
Method
Description
`void`
SQLOutputImpl.`writeSQLXML(SQLXML x)`
Writes an SQL `XML` value to the stream.